//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

RWStructuredBuffer<float3> Output : BACKBUFFER;

StructuredBuffer<float3> Input;
StructuredBuffer<uint> Index;

[numthreads(1, 1, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	uint idx = Index[tid.x];
	Output[tid.x] = Input[idx];
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




